\documentclass{article}
\usepackage{poetry}

\begin{document}
\poemnew
\titleauthorpoem{Yes*}{Colby Goettel}
\poemlinenumsfalse
\setlength{\poemhinwd}{2em}
\pagenumbering{gobble}

% A note on changing \hin:
% We want the "good" line to be indented vertically right after "actually" on the previous line. This centers the poem and does that. We'll repeat this process multiple times.

% Center the poem on the longest line (all other lines will truncate based on this, so use the longest).
\centerpoemon{As I walk away, he asks, ``Does it get better?''}

\begin{poem}
  We spend so much time \\
  thinking about the asterisks \\
  that we sometimes forget \\
  \settowidth{\poemhinwd}{that life is actually }
  that life is actually \\
  \hin good. \\!

  I say, I'm going to a Mexican restaurant. \\
  I say, I want chips and salsa. \\
  Leave the house, back out, remember: \\
  I hate that restaurant. \\!

  Jack has never let me down. \\
  Get a bacon ultimate cheeseburger, \\
  and for the first time in twenty years \\
  I don't sing the song. \\!

  In the parking lot, \\
  a kid is scrounging for change. \\
  Lost change wedged in the seats. \\
  \settowidth{\poemhinwd}{``Please let me find enough for something. }
  ``Please let me find enough for something. \\
  \hin Anything.'' \\!

  I say, Hey, man. \\
  \settowidth{\poemhinwd}{He's crestfallen. }
  He's crestfallen. \\
  \hin Perceived. \\
  \settowidth{\poemhinwd}{He's crestfallen. Perceived. }
  \hin Caught. \\
  \setlength{\poemhinwd}{2em}
  I say, I've been there before. \\
  Let me buy you lunch. \\!

  He lets me buy him lunch. \\
  Open my wallet and grab everything. \\
  I say, Here's 40 bucks, \\
  I'm sorry I can't do more. \\!

  As I walk away, he asks, ``Does it get better?'' \\-
\end{poem}
\end{document}
